/*!
 * \file        log.h
 * \brief       Cabeçalho para o módulo log.c
 *
 * \details
 *
 * \date        07/05/12 16:23
 * \version     0.0.1
 * \author      Alessandro Elias, ae11@inf.ufpr.br
 * \author      Welton Martins Pereira, wpm11@inf.ufpr.br
 */

#ifndef __MYLOG_H__
#define __MYLOG_H__       1

#include <stdio.h>
#include <mycommdef.h>

/*! Prefixo do nome do arquivo de log. */
#define FILE_NAME               "log"
/*! Sufixo do nome do arquivo de log. */
#define FILE_EXTENTION          ".txt"
/*! Numero maximo de logs que pode existir em um mesmo diretorio. */
#define MAX_LOGS                999
/*! Tamanho em bytes (char's) necessario para alocar o buffer com o nome. */
#define SIZE_OF_COMPLEMENT      3

/*
 * Defina somente dentro do font log.c onde sera alocada globalmente.
 * Outros modulos devem fazer referencia a mesma variavel.
 */
#ifdef _DECLARE_VAR_STREAMLOG_
FILE *g_StreamLog = NULL;
#else
extern FILE *g_StreamLog;       /*!< Stream do arquivo de log. */
#endif

bool    OpenLog(void);
void    CloseLog(void);
char    *GetLogFileName(void);
int     LogMessage(const char*, ...);

#endif /* __LOG_H__ */
